Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## infomat.mro.synlex
Class SynlexGrouper

    java.lang.Object
      infomat.mro.synlex.SynlexGrouper

    public class SynlexGrouper

extends java.lang.Object

Constructor Summary
`SynlexGrouper()`

Method Summary
`IObjectGrouping` | `getClicksGrouping(IMatrix matrix, float minWeight)`
`private java.util.HashMap<IObject,java.util.HashSet<IObject>>` | `getClicksHashSets(IMatrix matrix, float minWeight)`
`IObjectGrouping` | `getConnectedComponentsGrouping(IMatrix matrix, float minWeight)`
`private java.util.HashMap<IObject,java.util.HashSet<IObject>>` | `getConnectedComponentsHashSets(IMatrix matrix, float minWeight)`
`private IObjectGrouping` | `getGroupingFromSetSet(java.util.HashSet<java.util.HashSet<IObject>> setSet, float minWeight)`
`private java.util.HashSet<java.util.HashSet<IObject>>` | `getSetSetFromIOSetMap(java.util.HashMap<IObject,java.util.HashSet<IObject>> ioSetMap)`
`private boolean` | `isCombinationClick(IMatrix matrix, float minWeight, java.util.HashSet<IObject> set1, java.util.HashSet<IObject> set2)`
`private void` | `printSet(java.util.HashSet<IObject> set)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SynlexGrouper

    public SynlexGrouper()

Method Detail

### getClicksGrouping

    public IObjectGrouping getClicksGrouping(IMatrix matrix,
                                             float minWeight)

### getConnectedComponentsGrouping

    public IObjectGrouping getConnectedComponentsGrouping(IMatrix matrix,
                                                          float minWeight)

### getGroupingFromSetSet

    private IObjectGrouping getGroupingFromSetSet(java.util.HashSet<java.util.HashSet<IObject>> setSet,
                                                  float minWeight)

### getSetSetFromIOSetMap

    private java.util.HashSet<java.util.HashSet<IObject>> getSetSetFromIOSetMap(java.util.HashMap<IObject,java.util.HashSet<IObject>> ioSetMap)

### printSet

    private void printSet(java.util.HashSet<IObject> set)

### getConnectedComponentsHashSets

    private java.util.HashMap<IObject,java.util.HashSet<IObject>> getConnectedComponentsHashSets(IMatrix matrix,
                                                                                                 float minWeight)

### getClicksHashSets

    private java.util.HashMap<IObject,java.util.HashSet<IObject>> getClicksHashSets(IMatrix matrix,
                                                                                    float minWeight)

### isCombinationClick

    private boolean isCombinationClick(IMatrix matrix,
                                       float minWeight,
                                       java.util.HashSet<IObject> set1,
                                       java.util.HashSet<IObject> set2)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD